Subject: Re: [PATCH v4 0/5] git_config callers rewritten with the new config cache API

From: Tanay Abhra <[email-masked]>
Date: Wed, 30 Jul 2014 19:33:37 +0530

On 7/30/2014 7:16 PM, Matthieu Moy wrote:
> Tanay Abhra <[email-masked]> writes:
> 
>> [PATCH v4]: Tiny style nits corrected. Patch 2/5 has been totally reworked.
>> 	One thing to check is if the config variables I changed in the series
>> 	are single valued or multi valued. Though I have tried to ascertain
>> 	if the variable was single valued or not by reading the docs and code,
>> 	mistakes may creep in.
>>
>> [PATCH v3]: Most of Eric's suggestions has been implemented. See [2] for discussion.
>> 	Also, new helpers introduced in v7 of the config-set API series have been used.
>>
>> This series builds on the top of 4c715ebb in pu (ta/config-set).
> 
> I think it semantically needs your other WIP series, that makes
> git_config_get_* die in case of error. Otherwise, there's an unexpected
> behavior change in case of error.
>

Yes you are right, there is a call to git_die_config() also in the series. I will add
the info in the next reroll. Also, any thoughts on what to do with git_default_config()?
We can,

1> make a new function git_load_default_config(), use it for the rewrites.

or

2> git_default_config() is rewritten to be loaded only once even if it is called
again and again during the process run, so that we use the same function in callbacks
and in the new API using rewrites.

Thanks.